DRM_MODE_CONNECTOR_S(9)

NAME
drm_mode_connector_set_path_property - set tile property on connector

SYNOPSIS

int drm_mode_connector_set_path_property(struct drm_connector * connector, const char * path);

ARGUMENTS

connector
    connector to set property on.

path
    path to use for property.

DESCRIPTION

This creates a property to expose to userspace to specify a connector path. This is mainly used for DisplayPort MST where connectors have a topology and we want to allow userspace to give them more meaningful names.

RETURNS

Zero on success, negative errno on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT